Status: Resolved Priority: Must have
Author: Martin Brüggemann Category: Persistence
Created: 2011-09-16 Assigned To: Karsten Dambekalns
Updated: 2011-09-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: @HasLifecycleCallbacks and Doctrine2-Events like @PrePersist don't work.
Description

If you activate @HasLifecycleCallbacks in your model and build a @PrePersist function like the following one - it doesn't work (or I'm
to stupid to get it work ;)

<?php
declare(ENCODING = 'utf-8');
namespace Test\Animals\Domain\Model;

/**
 * @scope prototype
 * @entity
 * @HasLifecycleCallbacks
 */
class AnimalOwner {

    [...] 

    /**
     * @PrePersist
     */
    public function beforePersist(){
    echo "I don't have a cat.";
    exit;
    }
}

Or is there something missing in my model code?

Associated revisions
Revision 31a93457 - 2011-09-19 15:53 - Karsten Dambekalns

[BUGFIX] Lifecycle annotations were not detected

The detection of Doctrine lifecycle event annotations was broken
since  the last Doctrine update (because of the changed return values
of the annotation reader).

Change-Id: I6f2920069ae8c0470cc4626e0d7e9ff4ae33761a
Fixes: #29908

History
#1 - 2011-09-17 14:19 - Karsten Dambekalns
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow
- Status changed from New to Accepted

That should work, so congratulations on probably finding a bug :) I'll check!

#2 - 2011-09-19 14:57 - Karsten Dambekalns
- Category set to Persistence
- Target version set to 1.0.0

#3 - 2011-09-19 15:53 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I6f2920069ae8c0470cc4626e0d7e9ff4ae33761a has been pushed to the review server.
It is available at http://review.typo3.org/5063

#4 - 2011-09-20 11:05 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:31a934570e6fc2cff811a8ec35bfd423c14d50da.
